Subject: Re: [quicwg/base-drafts] Update ACK generation policy (#3501)

From: Gorry Fairhurst <[email-masked]>
Date: Wed, 22 Apr 2020 02:12:39 -0700

@gorryfair commented on this pull request.

-In order to assist loss detection at the sender, an endpoint SHOULD send an ACK
+An ACK frame SHOULD be generated for at least every tenth ack-eliciting

We saw no appreciable benefit for RTT>>ACK_Delay, however this really does seem good practice, and our draft (draft-fairhurst-quic-ack-scaling) proposes this change:
      The receiver can provide a higher rate of acknowledge for the
      first 100 ACK-eliciting packets, where it acknowledges at least
      every second received ACK-eliciting packet.  A suitable method
      might send an ACK frame for every two received ack-eliciting
      packets for the first 100 received packets if max_ack_delay time
      has passed since the oldest unacknowledged data was received.
Would that resolve that point?

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/3501#discussion_r412811613